#!/bin/bash
set -xe

function download_ext {
	# work-around for timeout issues on lab.civicrm.org during download
	echo "download_ext $@"
	name="$1"
	url="$2"

	filename=$(mktemp)

	curl -L --output $filename $url
	unzip -q $filename

	dirname=$(find -maxdepth 1 -name "${name}*" -type d)
	dirname=$(basename $dirname)

	[ "$dirname" = "$name" ] || mv -v $dirname $name
}


mkdir -p /var/www/civi/wp-content/plugins && cd /var/www/civi/wp-content/plugins
curl -L -o /tmp/civi.zip https://download.civicrm.org/civicrm-5.48.0-wordpress.zip
unzip /tmp/civi.zip -d . 

curl -L -o /tmp/l10n.tar.gz https://download.civicrm.org/civicrm-5.48.0-l10n.tar.gz 
tar -xf /tmp/l10n.tar.gz -C ./civicrm

mkdir -p /var/www/civi/wp-content/uploads/civicrm/ext && cd /var/www/civi/wp-content/uploads/civicrm/ext

git clone --depth 1 https://code.bij1.org/bij1/crm-bij1migratie.git
git clone --depth 1 https://code.bij1.org/bij1/crm-bij1rules.git
git clone --depth 1 https://code.bij1.org/bij1/crm-bij1algemeen.git

download_ext de.systopia.identitytracker https://github.com/systopia/de.systopia.identitytracker/releases/download/1.3/de.systopia.identitytracker-1.3.zip
download_ext org.project60.banking https://github.com/Project60/org.project60.banking/releases/download/0.7/org.project60.banking-0.7.zip
download_ext civirules https://lab.civicrm.org/extensions/civirules/-/archive/2.43/civirules-2.43.zip
download_ext assignee https://lab.civicrm.org/extensions/assignee/-/archive/1.3/assignee-1.3.zip
download_ext apikey https://lab.civicrm.org/extensions/apikey/-/archive/v1.3.5/apikey-v1.3.5.zip
download_ext dataprocessor https://lab.civicrm.org/extensions/dataprocessor/-/archive/1.57/dataprocessor-1.57.zip
download_ext emailapi https://lab.civicrm.org/extensions/emailapi/-/archive/2.9/emailapi-2.9.zip
download_ext action-provider https://lab.civicrm.org/extensions/action-provider/-/archive/1.103/action-1.103.zip
download_ext form-processor https://lab.civicrm.org/extensions/form-processor/-/archive/1.48/form-1.48.zip
download_ext de.systopia.xcm https://github.com/systopia/de.systopia.xcm/releases/download/1.8/de.systopia.xcm-1.8.zip
download_ext group2summary https://github.com/TechToThePeople/group2summary/archive/v1.5.zip
download_ext org.project60.bic https://github.com/Project60/org.project60.bic/releases/download/1.2/org.project60.bic-1.2.zip
# cv ext:download org.project60.sepa
# cv ext:download org.civicrm.contactlayout
# cv ext:download org.civicrm.recentmenu
# cv ext:download org.wikimedia.relationshipblock
# cv ext:download uk.co.vedaconsulting.mosaico
